Create dashboard with pie chart and bar chart

This will be a bit less hand holding so you’ll have to find the documentations online. And you’ll have to remember commands from the previous challenges.  
  

1. Install the blank React Native boilerplate with create-expo
2. Install Dependencies

```
npm install react-native-elements  
npm install react-native-svg  
npm install react-native-chart-kit
```

3. Find documentation for PieChart and BarChart for react-native-chart-kit
4. Mimic (as close to possible but not necessarily perfect):
![](vjqnhDK.png)

Hints:
- Piechart is width height: 350 x 220px. Their city a, b, c have populations: 100, 200, 250 persons
- Bar chart is 350 x 350px. Their city a,b,c employed are: 90, 150, 160 persons
- Colors are just primary colors like red, blue, green, black, white
- If content is too long, mobile screen must be able to scroll vertically

---

**Given up or comparing after you finished?** 

Answer:
```
import React from 'react';  
import { ScrollView, StyleSheet, View, Text, Dimensions } from 'react-native';  
import { Header, Icon } from 'react-native-elements';  
import { SafeAreaProvider, SafeAreaView } from 'react-native-safe-area-context';  
import { PieChart, BarChart } from 'react-native-chart-kit';  
  
  
const pieData = [  
  { name: 'City A', population: 100, color: 'red', legendFontColor: 'red', legendFontSize: 15 },  
  { name: 'City B', population: 200, color: 'blue', legendFontColor: 'blue', legendFontSize: 15 },  
  { name: 'City C', population: 250, color: 'green', legendFontColor: 'green', legendFontSize: 15 },  
];  
  
const barData = {  
  labels: ['City A Employed', 'City B Employed', 'City C Employed'],  
  datasets: [  
    {  
      data: [90, 150, 160],  
    },  
  ],  
};  
  
export default function App() {  
  return (  
    <SafeAreaProvider>  
     <SafeAreaView>  
      <View style={styles.container}>  
        <Header  
          centerComponent={{ text: 'Dashboard', style: { color: '#fff', fontSize: 20 } }}  
          backgroundColor="#3D6DCC"  
        />  
        <ScrollView contentContainerStyle={styles.scrollViewContent}>  
          <Text style={styles.title}>Pie Chart</Text>  
          <PieChart  
            data={pieData}  
            width={350}  
            height={220}  
            chartConfig={chartConfig}  
            accessor="population"  
            backgroundColor="transparent"  
            paddingLeft="15"  
            absolute  
          />  
          <Text style={styles.title}>Bar Chart</Text>  
          <BarChart  
            data={barData}  
            width={350}  
            height={350}  
            chartConfig={chartConfig}  
            verticalLabelRotation={30}  
          />  
        </ScrollView>  
      </View>  
     </SafeAreaView>  
    </SafeAreaProvider>  
  );  
}  
  
const chartConfig = {  
  backgroundGradientFrom: 'black',  
  backgroundGradientFromOpacity: 0,  
  backgroundGradientTo: 'white',  
  backgroundGradientToOpacity: 0.5,  
  color: () => `green`,  
  strokeWidth: 2, // optional, default 3  
  barPercentage: 0.5,  
  useShadowColorFromDataset: false, // optional  
};  
  
const styles = StyleSheet.create({  
  container: {  
    flex: 1,  
  },  
  scrollViewContent: {  
    alignItems: 'center',  
    padding: 10,  
  },  
  title: {  
    fontSize: 20,  
    marginVertical: 10,  
  },  
});
```